Replace all tags on a record
curl --request PUT \
--url https://{companyName}.api.joinluminous.com/external/api/v1/{recordType}/{recordId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"<string>"
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/{recordType}/{recordId}/tags"
payload = { "tags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['<string>']})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/{recordType}/{recordId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Tags replaced successfully",
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
]
}{
"message": "<string>"
}Tags
Replace all tags on a record
Replace all existing tags on a record with a new set of tags.
Supported record types: sales-orders,sales-order-items,invoices,products
PUT
/
{recordType}
/
{recordId}
/
tags
Replace all tags on a record
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Type of record to replace tags on
Available options:
sales-orders, sales-order-items, invoices, products ID of the record
Body
application/json
New set of tags to replace existing ones with
⌘I